package com.example.services.impl;

import com.alibaba.fastjson.JSONObject;
import com.example.MyResult;
import com.example.api.R;
import com.example.entity.ContainerRegisterQuery;
import com.example.services.IService;

import javax.jws.WebService;

/**
 * Created by wangh on 2021/1/14-10:29。
 */
@WebService(
        targetNamespace ="http://service.example.com/" ,
        serviceName = "authorService",           //服务name名称
        portName = "authorPortName",
        endpointInterface = "com.example.services.IService")//指定发布webservcie的接口类，此类也需要接入@WebService注解
public class ServiceImpl implements IService {

    private static boolean m_GetDataSuccessful;

    public boolean DealValidPack(String ValidData){
        try {
            if(!ValidData.isEmpty()){
                m_GetDataSuccessful = true;
            }
        }
        catch (Exception ex){
            return false;
        }
        return true;
    }
    //请求地址 http://localhost:8090/services/mPerson?wsdl
    @Override
//    public MyResult getScanInfoInCenterStart(String messageHeader,
//                                             String ContainerRegisterQuery,
//                                             String opOrgCode,
//                                             String userCode,
//                                             String userName,
//                                             String province,
//                                             String pdaip) {
        public R getScanInfoInCenterStart(
                String pdaip) {
            boolean isSendFlag = false;
        //示例
        ContainerRegisterQuery containerRegisterQuery = new ContainerRegisterQuery();
//        containerRegisterQuery.setMessageHeader(messageHeader);
//        containerRegisterQuery.setOpOrgCode(opOrgCode);
//        containerRegisterQuery.getUserCode(userCode);
        containerRegisterQuery.setPdaip(pdaip);
        String json = JSONObject.toJSONString("1");
        if(WebSocketServerContent.getSocket(pdaip, json)){
            try {
                Thread.sleep(2000);
                if(m_GetDataSuccessful){
                    isSendFlag = true;
                    m_GetDataSuccessful = false;
                    return R.data(200,"向客户端发送消息成功！");
                }
                else {
                    System.out.println("《《《等待客户端返回消息超时！");
                    isSendFlag = false;
                    return R.data(201,"向客户端发送消息成功，接收客户端消息超时！");
                }
            }catch (Exception ex){
                return R.data(100,"向客户端发送消息失败！");
            }
        }
        else {
            return R.data(101,"向客户端发送消息失败！");
        }

    }

    @Override
    public MyResult getScanInfoInCenterStop(String messageHeader, String containerRegisterQuery, String opOrgCode, String userCode, String userName, String province, String pdaip) {
        return null;
    }

    @Override
    public MyResult getScanInfoOutCenterStart(String messageHeader, String containerRegisterQuery, String opOrgCode, String opOrgName, String userCode, String userName, String provice, String rqzlmc, String zbid, String destinationOrgName, String destinationOrgCode, String rqzl, String rqxh, String rqxhmc, String pdaip) {
        return null;
    }

    @Override
    public MyResult getScanInfoOutCenterStop(String messageHeader, String containerRegisterQuery, String opOrgCode, String opOrgName, String userCode, String userName, String provice, String rqzlmc, String zbid, String destinationOrgName, String destinationOrgCode, String rqzl, String rqxh, String rqxhmc, String pdaip) {
        return null;
    }
}
